Debian Bug report logs - #727299
libsigc++-2.0: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4

version graph

Package: libsigc++-2.0; Maintainer for libsigc++-2.0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@ubuntu.com>

Date: Wed, 23 Oct 2013 20:12:02 UTC

Severity: important

Tags: patch

Found in version 2.2.10-0.2

Fixed in version libsigc++-2.0/2.2.11-2

Done: Balint Reczey <balint@balintreczey.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#727299; Package libsigc++-2.0. (Wed, 23 Oct 2013 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. (Wed, 23 Oct 2013 20:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Update config.{guess,sub} for AArch64
Date: Wed, 23 Oct 2013 22:08:43 +0200
Package: libsigc++-2.0
Version: 2.2.10-0.2
Severity: important
Tags: patch
User: debian-arm@lists.debian.org
Usertags: arm64

Update config.{guess,sub} for AArch64
patch at
http://launchpadlibrarian.net/153079718/libsigc%2B%2B-2.0_2.2.10-0.2_2.2.10-0.2ubuntu1.diff.gz



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#727299; Package libsigc++-2.0. (Sun, 05 Jan 2014 01:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Sun, 05 Jan 2014 01:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 727299@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 727299@bugs.debian.org
Subject: Update config.{guess,sub} for new ports
Date: Sun, 5 Jan 2014 01:04:14 +0000
[Message part 1 (text/plain, inline)]
Here is an alternative patch using dh_autotools commands. Perhaps a bit
cleaner and also rebuild-safe.

Note that this causes a whinge that the package is using the deprecated
dh compat level 4. Bumping it up to 5 works fine, but I've not
included it in the patch. An update probably is due... :-)

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[libsigc++_1.0.4-9.4-autoconf-update.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#727299; Package libsigc++-2.0. (Tue, 21 Jan 2014 11:44:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Tue, 21 Jan 2014 11:44:50 GMT) Full text and rfc822 format available.

Message #15 received at 727299@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 727299@bugs.debian.org
Subject: reuse this issue for the more general solution to use dh-autoreconf
Date: Tue, 21 Jan 2014 11:42:20 +0000
Control: retitle -1 libsigc++-2.0: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4

Reusing this report for the more general solution to also update
the libtool.m4 and/or aclocal.m4 files, needed for the port mentioned
in bug #726404.

See https://wiki.debian.org/qa.debian.org/FTBFS for a guide how to
address these.

Please ignore this email if the libtool.m4/aclocal.m4 update is not
needed, and updating the config.{guess,sub} files is sufficient.



Changed Bug title to 'libsigc++-2.0: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4' from 'Update config.{guess,sub} for AArch64' Request was from Matthias Klose <doko@debian.org> to 727299-submit@bugs.debian.org. (Tue, 21 Jan 2014 11:44:50 GMT) Full text and rfc822 format available.

Reply sent to Balint Reczey <balint@balintreczey.hu>:
You have taken responsibility. (Sat, 15 Feb 2014 18:51:09 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@ubuntu.com>:
Bug acknowledged by developer. (Sat, 15 Feb 2014 18:51:09 GMT) Full text and rfc822 format available.

Message #22 received at 727299-close@bugs.debian.org (full text, mbox):

From: Balint Reczey <balint@balintreczey.hu>
To: 727299-close@bugs.debian.org
Subject: Bug#727299: fixed in libsigc++-2.0 2.2.11-2
Date: Sat, 15 Feb 2014 18:50:21 +0000
Source: libsigc++-2.0
Source-Version: 2.2.11-2

We believe that the bug you reported is fixed in the latest version of
libsigc++-2.0, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Balint Reczey <balint@balintreczey.hu> (supplier of updated libsigc++-2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 15 Feb 2014 15:50:55 +0100
Source: libsigc++-2.0
Binary: libsigc++-2.0-0c2a libsigc++-2.0-dev libsigc++-2.0-doc
Architecture: source amd64 all
Version: 2.2.11-2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Balint Reczey <balint@balintreczey.hu>
Description: 
 libsigc++-2.0-0c2a - type-safe Signal Framework for C++ - runtime
 libsigc++-2.0-dev - type-safe Signal Framework for C++ - development files
 libsigc++-2.0-doc - type-safe Signal Framework for C++ - reference documentation
Closes: 727299
Changes: 
 libsigc++-2.0 (2.2.11-2) unstable; urgency=low
 .
   [ Balint Reczey ]
   * Use dh in debian/rules (Closes: #727299)
   * Bump standards version to 3.9.5
 .
   [ Matthias Klose ]
   * Build using dh_autoreconf
Checksums-Sha1: 
 77b841024f1fc12069d19d1cfaccc0ef57ea36a9 2216 libsigc++-2.0_2.2.11-2.dsc
 90c480af8b6ebee6e9d651d7135e57d4e7b8ffdc 7988 libsigc++-2.0_2.2.11-2.debian.tar.xz
 22c2148e05127101d8c3aa255b07a58badf950a6 42856 libsigc++-2.0-0c2a_2.2.11-2_amd64.deb
 c0110954ce3a36c4eefab06e5fdf2cd6c347ea7e 97674 libsigc++-2.0-dev_2.2.11-2_amd64.deb
 452cf4486b53eea245edf9779f287bfad9594e3d 2930962 libsigc++-2.0-doc_2.2.11-2_all.deb
Checksums-Sha256: 
 414dd548e2a45ab04fe95113c90ebaab4e7dfe86e7a78b00eb2dee6e63a1dff4 2216 libsigc++-2.0_2.2.11-2.dsc
 ded7a2269e245ed3c8b9964674c2f64c24f4b64c74ed60a7126af8fa3ba949c7 7988 libsigc++-2.0_2.2.11-2.debian.tar.xz
 d540de8b176dffe2eef09092dcbc42d75f08f793c760a72285a619c8a3615308 42856 libsigc++-2.0-0c2a_2.2.11-2_amd64.deb
 eedcba30d5e68bedcd3fcc78013f97721300607235f139562ba71f637ca56f27 97674 libsigc++-2.0-dev_2.2.11-2_amd64.deb
 e704ff87c78c62a4ad19522a2dc1d00f636612cde48d9d1c9bd0033bdedadcb2 2930962 libsigc++-2.0-doc_2.2.11-2_all.deb
Files: 
 434791b96844842f65ad31c513285de5 2216 devel optional libsigc++-2.0_2.2.11-2.dsc
 f92a460dbe90fa45895c1ac782ed558d 7988 devel optional libsigc++-2.0_2.2.11-2.debian.tar.xz
 a6d2292cdbf2ba343a1fd118a4fd0cf2 42856 libs optional libsigc++-2.0-0c2a_2.2.11-2_amd64.deb
 b5f7004bf465b0f6063dffe9176a661b 97674 libdevel optional libsigc++-2.0-dev_2.2.11-2_amd64.deb
 621944177eb7d700e95af58dc2b94715 2930962 doc optional libsigc++-2.0-doc_2.2.11-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJS/7NvAAoJEPZk0la0aRp9k2cQAL2VV5HLwK9+Pv4ngG1dI8Hv
WkqwQiT3qR4GdQvM2gP2QUit+0zpP1o5C3peG3JHBXRH5rj1P/H4gv2Pmh43EFdk
7QTNFIzx2t+fFHJQGmoMSIe6perUgtyj5nPVdsKGcrGzzBytcaKPj1NQME3SlnP5
2MQfAvoeNeUq6it9/1XSHUf6YYknLrMJ+Ev4mE9L2bUA43LWCWJCKTT0eYp849ZB
wITyJv/xx/EJNMEpnzn/Kg1yWZDiYE7EtAyqy0bT8yAiGpm/NyT8eV2jforAXLCZ
US7XdLCMCs/F1Beqe35bSvky+5m3h8SW74m6CmCqaiUmOLtvdhEADwaigtla5L17
Iaa5HsMC/KFa94PdizZQTZNVZFA2rQ+tLMW/8D+SgPjEQoKuepG08jOS/vtb0XXt
hIIAOqblwRX7tqnJS+hpENgtI0mweyXBXDa0e9ynB6e0RrW5iFhlsMA3sJpsj1ZF
GECQ17Y7OjuXQBwCyr6gkzwjOYN8gfI3Kf6Wh9f9t75PzuyRkm0ht5ZHF9RD1zsL
/IJBUTD1R+lAqGeV2wI0PjaccpAjT6uR80nunSvrtvxTGaTGz3kUmMtv8MqNz/Es
pGRV+6XsYMEQGTyR8QS7Jv2I90sM1dGu9da9nqPnjm3HOWDupM6JqjGeFlcarEPd
VHshOmd8FeywgD8SgQzc
=VxCC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Mar 2014 07:37:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:22:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.